html {
    box-sizing: border-box;
  }
  *, *:before, *:after {
    box-sizing: inherit;
  }

body{
    background-color: rgb(42, 42, 42);
    color: white;
    margin: 0px;
    padding: 0px;
    font-family: "Arsenal SC", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.3em;
}

h1 {
    width: fit-content;
    margin: 0 auto 0 auto;
    color: #72A6CE;
    font-size: 1.7em;
}

h2, h3 {
    color: #64CAA3;;
}

i {
    color: #72A6CE;
    font-size: 0.9em;
    margin-top: 30px;
}

a {
    color: #BEFE62;
    text-decoration: none;
    cursor: pointer;
}

button {
    background-color: #3F3F3F;
    color: white;
    border: 2px solid rgb(0, 0, 0);
    border-radius: 5px;
    padding: 1px;
    margin: 5px;
}

.orange {
    color: #FBB871;;
}

.green {
    color: #64CAA3;
}

.header {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 50px;
    background-color:  rgba(35, 35, 35, 1.0);
    z-index: 2;
}
.hiddenimg {
  width: 4px; 
  margin-left: -1000px;
  display: none;
}
.bars {
    display: none;
    position: absolute;
    top: 18px;
    left: 10px;
    width: 20px;
}
#banner {
    display: block;
    width: 475px;
    height: 48px; 
    margin: 5px auto 0 auto;
}
.navigation {
    position: absolute;
    top: 15px;
    right: 40px;
}

#menu {
    position: absolute;
    background-color:  rgba(55, 55, 55, 1.0);
    top: 15px;
    left: 35px;
    width: 150px;
    height: 150px;;
    padding: 5px;
    border: 2px solid black;
    z-index: 3;
}

.page {
    position: relative;
    width: 98%;
    max-width: 1000px;
    height: fit-content;
    margin: 0 auto 100px auto;
}

/* Overlapping Images */
#back_image {    
    width: 98%;
    height: 90vh;
    margin: 50px auto 0 auto;
    object-fit: scale-down;
}
#back_small {        
    position: relative;
    display: none;
    margin: 50px auto 0 auto;
    width: 98%;
}
#front_image {
    width: 65%;
    margin: -40px auto 30px auto;
    border: 3px groove black;
    box-shadow: 2px 2px 10px 5px #1c1c1c;
}


.content {
    width: 90%;    
    margin: 60px auto 0 auto;
}
.content h2 {
    text-align: center;
    color: #FBB871;
    font-weight: normal;
}
.content h2::before, .content h2::after {
    background-color: #FBB871;
    content: "";
    display: inline-block;
    height: 3px;
    position: relative;
    vertical-align: middle;
    width: 10%;
    line-height: 4.5em;
    font-weight: initial;
}
.content h2::before {
    background: linear-gradient(to right, rgba(250, 128, 114, 0), #FBB871);
    right: 0.25em;
    margin-left: -50%;
}
.content h2::after {
    background: linear-gradient(to left, rgba(250, 128, 114, 0), #FBB871);
    left: 0.25em;
    margin-right: -50%;
}


.inner-link {    
    color: #BEFE62;
    text-decoration: none;
    cursor: pointer;
}

.intro {
    width: 100%;
    margin: 50px 0 50px;
}


/* Features */
#features-container {
    position: relative;
    overflow: auto;
    margin: 10px 0 10px 0;
}
.features2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
    max-height: 100%;
}
.card {
    margin: 10px 0 10px 0;
    width: 100%;
}
#expanded-features {    
    background-color: rgb(55, 55, 55);
    padding: 10px 10px 10px 10px;
    border: 2px solid black;
    width: 100%;
    height: fit-content;
    overflow: auto;
}
.select {
    width: fit-content;
    margin: auto;
    text-align: center;
}
.circle {
    border-radius: 13px;
    width: 26px;
    height: 26px;
    padding: 1px;
    margin: 5px;
}
.centered-button {
    display: block;
    margin: 10px auto 10px auto;
}
.feature-image {
    display: block;
    max-width: 50%;
    margin: 20px auto 10px auto;
}




#inner {
    width: 100%;
}

#left {
    width: 49%;
    float: left;
}
#center {
    width: 2%;
    height: 100px;
    float: left;
}
#right {
    width: 49%;
    float: left;
}

.row {
    width: 100%;    
    float: left;
    margin: 0 0 5px 0;
}

.line {
    display: block;
    width: 100%;
    height: 3px;
    background: linear-gradient(to right, rgba(250, 128, 114,0), rgba(251, 184, 113, 0.7) 40%, rgba(251, 184, 113, 0.7) 60%, rgba(250, 128, 114,0));
}

#image-gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    row-gap: 20px;
    background-color: rgb(55, 55, 55);
    padding: 5px;
    border: 2px solid black;
}
#image-gallery img {
    border: 1px solid black;
    max-width: 100%;
}

.dev-image {
    width: 90vw;
    max-width: 400px;
    box-shadow: 1px 1px 5px 3px #1c1c1c;
    margin: auto;
}

.blog-title {
    color: #BEFE62;
}

.footer {
    width: 100%;
    height: 60px;
    margin: 0px;
    background-color:  rgba(35, 35, 35, 1.0);
    z-index: 2;
}



@media only screen and (max-width: 850px) {
    body {
        font-size: 1.2em;
    }
    .bars {
        display: block;
    }
    #banner {
      width: 323px;
      height: 33px;
      margin: 10px 0 0 80px;
    }
    .navigation {
        display: none;
    }
    #back_image {
        display: none;
    }
    #back_small {
        display: block;
    }
  }
@media only screen and (max-width: 600px) {
    body {
        font-size: 1.2em;
    }
    .bars {
        display: block;
    }
    #banner {
      width: 323px;
      height: 33px;
      margin: 10px 0 0 80px;
    }
    .navigation {
        display: none;
    }
    #back_image {
        display: none;
    }
    #back_small {
        display: block;
    }
  }


